MANS_CPP = \
	bmc-config.8 \
	bmc-config.conf.5 \
	bmc-device.8 \
	bmc-info.8 \
	bmc-watchdog.8 \
	ipmi-chassis.8 \
	ipmi-chassis-config.8 \
	ipmi-dcmi.8 \
	ipmi-fru.8 \
	ipmi-locate.8 \
	ipmi-oem.8 \
	ipmi-pef-config.8 \
	ipmi-pet.8 \
	ipmi-raw.8 \
	ipmi-sel.8 \
	ipmi-sensors.8 \
	ipmi-sensors-config.8 \
	ipmiconsole.8 \
	ipmidetect.8 \
	ipmidetect.conf.5 \
	ipmidetectd.8 \
	ipmidetectd.conf.5 \
	ipmiping.8 \
	ipmipower.8 \
	freeipmi.7 \
	freeipmi.conf.5 \
	freeipmi_interpret_sel.conf.5 \
	freeipmi_interpret_sensor.conf.5 \
	libipmiconsole.3 \
	libipmiconsole.conf.5 \
	libipmidetect.3 \
	libfreeipmi.3 \
	libipmimonitoring.3 \
	rmcpping.8

MANS_NOCPP = \
	ipmi-console.8 \
	ipmi-detect.8 \
	ipmi-ping.8 \
	ipmi-power.8 \
	ipmiconsole.conf.5 \
	ipmipower.conf.5 \
	ipmimonitoring.8 \
	ipmimonitoring_sensors.conf.5 \
	ipmimonitoring.conf.5 \
	ipmi_monitoring_sensors.conf.5 \
	libipmimonitoring.conf.5 \
	pef-config.8 \
	rmcp-ping.8

MANS_COMMON = \
	manpage-common-general-options-header.man \
	manpage-common-driver.man \
	manpage-common-inband.man \
	manpage-common-outofband-hostname.man \
	manpage-common-outofband-hostname-hostranged.man \
	manpage-common-outofband-username-user.man \
	manpage-common-outofband-username-operator.man \
	manpage-common-outofband-username-admin.man \
	manpage-common-outofband-password.man \
	manpage-common-outofband-k-g.man \
	manpage-common-outofband-session-timeout.man \
	manpage-common-outofband-retransmission-timeout.man \
	manpage-common-authentication-type.man \
	manpage-common-cipher-suite-id-main.man \
	manpage-common-cipher-suite-id-details.man \
	manpage-common-privilege-level-user.man \
	manpage-common-privilege-level-operator.man \
	manpage-common-privilege-level-admin.man \
	manpage-common-config-file.man \
	manpage-common-workaround-flags.man \
	manpage-common-workaround-extra-text.man \
	manpage-common-workaround-heading-text.man \
	manpage-common-workaround-inband-text.man \
	manpage-common-workaround-outofband-common-text.man \
	manpage-common-workaround-outofband-15-text.man \
	manpage-common-workaround-outofband-20-text.man \
	manpage-common-workaround-config-tool.man \
	manpage-common-debug.man \
	manpage-common-misc.man \
	manpage-common-hostranged-options-header.man \
	manpage-common-hostranged-buffer.man \
	manpage-common-hostranged-consolidate.man \
	manpage-common-hostranged-fanout.man \
	manpage-common-hostranged-eliminate.man \
	manpage-common-hostranged-always-prefix.man \
	manpage-common-hostranged-text-main.man \
	manpage-common-hostranged-text-options.man \
	manpage-common-hostranged-text-localhost.man \
	manpage-common-hostranged-text-threads.man \
	manpage-common-sdr-options.man \
	manpage-common-ignore-sdr-cache.man \
	manpage-common-config-tool-options.man \
	manpage-common-config-tool-options-verbose.man \
	manpage-common-config-tool-options-very-verbose.man \
	manpage-common-config-tool-options-lan-channel-number.man \
	manpage-common-config-tool-options-serial-channel-number.man \
	manpage-common-config-tool-options-sol-channel-number.man \
	manpage-common-config-tool-general-use.man \
	manpage-common-troubleshooting-heading-end.man \
	manpage-common-troubleshooting-heading-inband.man \
	manpage-common-troubleshooting-heading-outofband.man \
	manpage-common-troubleshooting-heading-start.man \
	manpage-common-troubleshooting-inband.man \
	manpage-common-troubleshooting-outofband.man \
	manpage-common-known-issues.man \
	manpage-common-known-issues-ping.man \
	manpage-common-reporting-bugs.man \
	manpage-common-gpl-library-text.man \
	manpage-common-gpl-program-text.man \
	manpage-common-gpl-freeipmi-text.man \
	manpage-common-ping-options.man \
	manpage-common-ping-origin.man \
	manpage-common-table-of-contents.man \
	manpage-common-homepage.man \
	manpage-common-interpret-oem-data.man \
	manpage-common-oem-interpretation.man \
	manpage-common-entity-sensor-names.man \
	manpage-common-no-sensor-type-output.man \
	manpage-common-comma-separated-output.man \
	manpage-common-no-header-output.man \
	manpage-common-non-abbreviated-units.man \
	manpage-common-legacy-output.man

$(MANS_CPP): $(MANS_CPP:%=%.pre)
	$(CPP) -w -C -P -I$(top_srcdir)/man $@.pre  $@

dist_man_MANS = \
	$(MANS_CPP) \
	$(MANS_NOCPP)

CLEANFILES = $(MANS_CPP) *~
DISTCLEANFILES = $(MANS_CPP) $(MANS_CPP:%=%.pre) .deps/*.P

EXTRA_DIST = \
	$(MANS_COMMON) \
	$(MANS_NOCPP) 